TOMCAT6-INSTANCE-CREATE(8)

NAME
tomcat6-instance-create - creates a Tomcat6 instance

SYNOPSIS
tomcat6-instance-create [OPTIONS] DIRECTORYNAME

DESCRIPTION
The tomcat6-instance-create script creates a directory with all required Tomcat6 CATALINA_BASE elements so that a separate Tomcat 6 instance with its own configuration, libraries or web applications can be run by a user. bin/startup.sh and bin/shutdown.sh scripts are also generated to allow the instance to be started and stopped.

DIRECTORYNAME
    The name of the directory where the instance will be created. It should not exist and will be created automatically.

OPTIONS

-p HTTPPORT
    The TCP port to use for the default HTTP connector in the instance. The default port is 8080.

-c CONTROLPORT
    The TCP port to use for Tomcat shutdown control port. The default port is 8005.

-w MAGICWORD
    The magic word that sent to the control port will trigger the shutdown of the Tomcat instance. The default word is SHUTDOWN.

AUTHOR
This man page was written by Thierry Carrez <thierry.carrez@ubuntu.com> and is copyright (C) 2008 Canonical Ltd.